Appearance
time-tracking-employees
Manage employees
Operations
GET/accounts/{accountUuid}/time/v2/employeesPOST/accounts/{accountUuid}/time/v2/employeesGET/accounts/{accountUuid}/time/v2/employees/{employeeUuid}DELETE/accounts/{accountUuid}/time/v2/employees/{employeeUuid}PATCH/accounts/{accountUuid}/time/v2/employees/{employeeUuid}GET/accounts/{accountUuid}/time/v2/employees/available-usersGET/accounts/{accountUuid}/time/v2/employees/meGET/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/attachmentsPOST/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/attachmentsGET/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/imagePOST/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/imageDELETE/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/imageDELETE/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/attachments/{attachmentUuid}
Get employees
GET
/accounts/{accountUuid}/time/v2/employees
Get all employees for an account
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"Query Parameters
onlyInactive
get only inactive employees
Type
[
"boolean",
"null"
]
Default
nullResponses
Successful response
application/json
JSON "data": [ { "uuid": "string", "firstName": "string", "lastName": "string", "jobTitle": "string", "employeeNumber": "string", "birthDate": "string", "employeeGroupUuid": "string", "employeeGroup": { "uuid": "string", "translations": { "de": { "description": "string", "name": "string" }, "en": { "description": "string", "name": "string" }, "fr": { "description": "string", "name": "string" }, "it": { "description": "string", "name": "string" } } }, "employmentStartDate": "string", "isActive": true, "userUuid": "string", "user": { "id": 0, "uuid": "string", "firstName": "string", "lastName": "string", "email": "string" }, "accountUuid": "string", "addressUuid": "string", "personUuid": "string", "timeTrackingStartDate": "string", "timeTrackingStartDateEditable": true, "isPresent": true, "hasInvalidContracts": true, "hasImage": true, "additionalInformation": "string", "createdAt": "string", "updatedAt": "string" } ], "message": "string", "status": 200, "meta": { }
{
}
Add employee
POST
/accounts/{accountUuid}/time/v2/employees
Add a new employee for an account
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "employeeNumber": "string", "firstName": "string", "lastName": "string", "jobTitle": "string", "userUuid": "string", "employmentStartDate": "string", "birthDate": "string", "addressUuid": "string", "employeeGroupUuid": "string", "timeTrackingStartDate": "string", "additionalInformation": "string"
{
}
Responses
Successful response
application/json
JSON "data": { "uuid": "string", "firstName": "string", "lastName": "string", "jobTitle": "string", "employeeNumber": "string", "birthDate": "string", "employeeGroupUuid": "string", "employeeGroup": { "uuid": "string", "translations": { "de": { "description": "string", "name": "string" }, "en": { "description": "string", "name": "string" }, "fr": { "description": "string", "name": "string" }, "it": { "description": "string", "name": "string" } } }, "employmentStartDate": "string", "isActive": true, "userUuid": "string", "user": { "id": 0, "uuid": "string", "firstName": "string", "lastName": "string", "email": "string" }, "accountUuid": "string", "addressUuid": "string", "personUuid": "string", "timeTrackingStartDate": "string", "timeTrackingStartDateEditable": true, "isPresent": true, "hasInvalidContracts": true, "hasImage": true, "additionalInformation": "string", "createdAt": "string", "updatedAt": "string" }, "message": "string", "status": 201, "meta": { }
{
}
Get employee
GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}
Get an employee for an account
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response
application/json
JSON "data": { "uuid": "string", "firstName": "string", "lastName": "string", "jobTitle": "string", "employeeNumber": "string", "birthDate": "string", "employeeGroupUuid": "string", "employeeGroup": { "uuid": "string", "translations": { "de": { "description": "string", "name": "string" }, "en": { "description": "string", "name": "string" }, "fr": { "description": "string", "name": "string" }, "it": { "description": "string", "name": "string" } } }, "employmentStartDate": "string", "isActive": true, "userUuid": "string", "user": { "id": 0, "uuid": "string", "firstName": "string", "lastName": "string", "email": "string" }, "accountUuid": "string", "addressUuid": "string", "personUuid": "string", "timeTrackingStartDate": "string", "timeTrackingStartDateEditable": true, "isPresent": true, "hasInvalidContracts": true, "hasImage": true, "additionalInformation": "string", "createdAt": "string", "updatedAt": "string" }, "message": "string", "status": 200, "meta": { }
{
}
Delete employee
DELETE
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}
Delete an employee of an account
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response
Update employee
PATCH
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}
Update an employee for an account
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "employeeNumber": "string", "firstName": "string", "lastName": "string", "jobTitle": "string", "userUuid": "string", "employmentStartDate": "string", "birthDate": "string", "addressUuid": "string", "employeeGroupUuid": "string", "timeTrackingStartDate": "string", "additionalInformation": "string"
{
}
Responses
Successful response
application/json
JSON "data": { "uuid": "string", "firstName": "string", "lastName": "string", "jobTitle": "string", "employeeNumber": "string", "birthDate": "string", "employeeGroupUuid": "string", "employeeGroup": { "uuid": "string", "translations": { "de": { "description": "string", "name": "string" }, "en": { "description": "string", "name": "string" }, "fr": { "description": "string", "name": "string" }, "it": { "description": "string", "name": "string" } } }, "employmentStartDate": "string", "isActive": true, "userUuid": "string", "user": { "id": 0, "uuid": "string", "firstName": "string", "lastName": "string", "email": "string" }, "accountUuid": "string", "addressUuid": "string", "personUuid": "string", "timeTrackingStartDate": "string", "timeTrackingStartDateEditable": true, "isPresent": true, "hasInvalidContracts": true, "hasImage": true, "additionalInformation": "string", "createdAt": "string", "updatedAt": "string" }, "message": "string", "status": 200, "meta": { }
{
}
Get available users
GET
/accounts/{accountUuid}/time/v2/employees/available-users
Get available users for employees
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"Query Parameters
employeeUuid
excluded employee
Type
[
"string",
"null"
]
Format
"uuid"Default
nullResponses
Successful response
application/json
JSON "data": [ { "id": 0, "uuid": "string", "firstName": "string", "lastName": "string", "email": "string" } ], "message": "string", "status": 200, "meta": { }
{
}
Get current employee
GET
/accounts/{accountUuid}/time/v2/employees/me
Get the employee for the current user and account
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response
application/json
JSON "data": { "uuid": "string", "firstName": "string", "lastName": "string", "jobTitle": "string", "employeeNumber": "string", "birthDate": "string", "employeeGroupUuid": "string", "employeeGroup": { "uuid": "string", "translations": { "de": { "description": "string", "name": "string" }, "en": { "description": "string", "name": "string" }, "fr": { "description": "string", "name": "string" }, "it": { "description": "string", "name": "string" } } }, "employmentStartDate": "string", "isActive": true, "userUuid": "string", "user": { "id": 0, "uuid": "string", "firstName": "string", "lastName": "string", "email": "string" }, "accountUuid": "string", "addressUuid": "string", "personUuid": "string", "timeTrackingStartDate": "string", "timeTrackingStartDateEditable": true, "isPresent": true, "hasInvalidContracts": true, "hasImage": true, "additionalInformation": "string", "createdAt": "string", "updatedAt": "string" }, "message": "string", "status": 200, "meta": { }
{
}
Get attachments
GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/attachments
Get all attachments of an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response
application/json
JSON "data": [ { "uuid": "string", "name": "string", "size": 0, "mimeType": "string", "url": "string" } ], "message": "string", "status": 200, "meta": { }
{
}
Upload attachment
POST
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/attachments
Upload an attachment for an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Request Body
multipart/form-data
Format
"binary"Responses
Successful response
application/json
JSON "data": { "uuid": "string", "name": "string", "size": 0, "mimeType": "string", "url": "string" }, "message": "string", "status": 201, "meta": { }
{
}
Get image
GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/image
Get the image of an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response
application/json
JSON "data": { "uuid": "string", "name": "string", "size": 0, "mimeType": "string", "url": "string" }, "message": "string", "status": 200, "meta": { }
{
}
Upload image
POST
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/image
Upload an image for an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Request Body
multipart/form-data
Format
"binary"Responses
Successful response
application/json
JSON "data": { "uuid": "string", "name": "string", "size": 0, "mimeType": "string", "url": "string" }, "message": "string", "status": 201, "meta": { }
{
}
Delete image
DELETE
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/image
Delete the image of an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response
Delete attachment
DELETE
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/attachments/{attachmentUuid}
Delete an attachment of an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"attachmentUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response